aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChase Qi <chase.qi@linaro.org>2016-04-25 12:30:56 +0800
committerChase Qi <chase.qi@linaro.org>2016-04-25 12:31:38 +0800
commitfb52171dc55116a1031c10a3f8cfaac178df2a5c (patch)
tree3dd96bc9bb8b83de866ec3cebba630ad34a918a8
parentff62741aa1b9178b4f2443f1c98907ba0d0e1a36 (diff)
Added armbeabi-v7a support
-rwxr-xr-x24h-stress-test.sh15
-rwxr-xr-xaosp-24h-stress-test.sh27
-rwxr-xr-xbin/armeabi/busyboxbin0 -> 1356332 bytes
-rwxr-xr-xbin/armeabi/stress-ngbin0 -> 1556416 bytes
4 files changed, 29 insertions, 13 deletions
diff --git a/24h-stress-test.sh b/24h-stress-test.sh
index 334927b..97debbc 100755
--- a/24h-stress-test.sh
+++ b/24h-stress-test.sh
@@ -224,9 +224,20 @@ fi
# Install stress-ng.
if ! [ -x "$(command -v stress-ng)" ]; then
+ abi=$(uname -m)
echo "Installing stress-ng..."
- curl http://git.linaro.org/people/chase.qi/24h-stress-test.git/blob/HEAD:/bin/arm64/stress-ng \
- -o /usr/bin/stress-ng
+ case $abi in
+ armv7|armv7l|armv7el|armv7lh)
+ cp bin/armeabi/stress-ng /usr/bin/stress-ng
+ ;;
+ arm64|armv8|arm64-v8a|aarch64)
+ cp bin/arm64/stress-ng /usr/bin/stress-ng
+ ;;
+ *)
+ echo "Unknown machine type, exiting..."
+ exit 1
+ ;;
+ esac
chmod +x /usr/bin/stress-ng
echo
fi
diff --git a/aosp-24h-stress-test.sh b/aosp-24h-stress-test.sh
index 01e3233..5160108 100755
--- a/aosp-24h-stress-test.sh
+++ b/aosp-24h-stress-test.sh
@@ -221,25 +221,30 @@ if [ -z "$(id -u | grep "uid=0(root)")" ]; then
exit 1
fi
-# Check if busybox and stress-ng installed.
-mkdir -p /sdcard/24h_stress
-cd /sdcard/24h_stress
+# Install busybox and stress-ng.
for bin in busybox stress-ng
do
if ! [ -x /system/bin/$i ]; then
- ping -c 3 git.linaro.org
- if [ $? -ne 0 ]; then
- echo "network is needed to install $bin automatically"
- echo "binary-installation-$bin: fail"
- exit 1
- fi
mount -o rw,remount,rw /system
- curl -O http://git.linaro.org/people/chase.qi/24h-stress-test.git/blob/HEAD:/bin/arm64/$bin
- cp $bin /system/bin
+ abi=$(uname -m)
+ case $abi in
+ armv7|armv7l|armv7el|armv7lh)
+ cp bin/armeabi/$bin /system/bin/
+ ;;
+ arm64|armv8|arm64-v8a|aarch64)
+ cp bin/arm64/$bin /usr/bin/stress-ng
+ ;;
+ *)
+ echo "Unknown architecture, exiting..."
+ exit 1
+ ;;
+ esac
chmod 755 /system/bin/$bin
fi
done
+mkdir -p /sdcard/24h_stress
+cd /sdcard/24h_stress
for i in $tests
do
# Run 6 hours $i test.
diff --git a/bin/armeabi/busybox b/bin/armeabi/busybox
new file mode 100755
index 0000000..cebf6cf
--- /dev/null
+++ b/bin/armeabi/busybox
Binary files differ
diff --git a/bin/armeabi/stress-ng b/bin/armeabi/stress-ng
new file mode 100755
index 0000000..e84c138
--- /dev/null
+++ b/bin/armeabi/stress-ng
Binary files differ